org.icefaces.ace.model.chart

## Class CartesianSeries

- java.lang.Object
- - org.icefaces.ace.model.chart.ChartSeries
  - - org.icefaces.ace.model.chart.CartesianSeries

- All Implemented Interfaces:
    java.io.Serializable

      public class CartesianSeries
      extends ChartSeries

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CartesianSeries.CartesianType`

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.model.chart.ChartSeries

      `ChartSeries.ChartType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CartesianSeries()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.Object y)` Add an point as a y-value with a x-value relative to the position in this series and the value at an accompanying index in a separately determined list of x-axis ticks.
    `void` | `add(java.lang.Object x, java.lang.Object y)` Add an point as an explicit x and y value pair.
    `void` | `encodeRendererOptions(JSONBuilder cfg)` must take into account default series which may determine barType
    `int` | `getBarMargin()`
    `int` | `getBarPadding()`
    `int` | `getBarWidth()`
    `JSONBuilder` | `getConfigJSON(javax.faces.component.UIComponent component)` Used by the ChartRenderer to produce a JSON representation of the data of this series.
    `JSONBuilder` | `getDataJSON(javax.faces.component.UIComponent component)` Used by the ChartRenderer to produce a JSON representation of the configuration of this series.
    `ChartSeries.ChartType` | `getDefaultType()`
    `java.lang.Boolean` | `getDragable()` Get if the points of this series are draggable.
    `DragConstraintAxis` | `getDragConstraintAxis()` Get the configured axis that dragging of points is confined to.
    `java.lang.String[]` | `getHighlightColors()`
    `java.lang.Boolean` | `getHorizontalBar()` Determine if this series is bar type, is it horizontal?
    `LinePattern` | `getLinePattern()` Get the pattern of stroke applied to the lines of this series.
    `java.lang.String[]` | `getPointLabelList()` Get the list of labels for the points of this series.
    `java.lang.Boolean` | `getPointLabelStacked()` Get if the point labels are to be rendered in a stacked plot.
    `java.lang.Integer` | `getPointLabelTolerance()` Set the distances that point labels must be from a boundary if they are to be rendered.
    `java.lang.Boolean` | `getSmooth()` Get if the lines of this series have curves rendered between points rather than straight line segments.
    `java.lang.Boolean` | `getVaryBarColor()`
    `java.lang.Boolean` | `isPointLabels()` Get if this series has labels rendered near each point
    `void` | `setBarMargin(int barMargin)` Number of pixels between groups of bars at adjacent axis values
    `void` | `setBarPadding(int barPadding)` Number of pixels between adjacent bars at the same axis value
    `void` | `setBarWidth(int barWidth)` Width of the bar in pixels (auto by default).
    `void` | `setDragable(java.lang.Boolean dragable)` Enable dragging for the points of this series.
    `void` | `setDragConstraintAxis(DragConstraintAxis dragConstraintAxis)` Set the configured axis that dragging of points is confined to.
    `void` | `setHighlightColors(java.lang.String[] highlightColors)`
    `void` | `setHorizontalBar(java.lang.Boolean horizontalBar)` Set if this bar series is a horizontal type.
    `void` | `setLinePattern(LinePattern linePattern)` Set the pattern of stroke applied to the lines of this series.
    `void` | `setPointLabelList(java.lang.String[] pointLabelList)` Set the list of labels for the points of this series.
    `void` | `setPointLabels(java.lang.Boolean pointLabels)` Set if this series has labels rendered near each point.
    `void` | `setPointLabelStacked(java.lang.Boolean pointLabelStacked)` Set if the point labels are to be rendered in a stacked plot.
    `void` | `setPointLabelTolerance(java.lang.Integer pointLabelTolerance)` Get the distance that point labels must be from a boundary if they are to be rendered,
    `void` | `setSmooth(java.lang.Boolean smooth)` Set if the lines of this series have curves rendered between points rather than straight line segments.
    `void` | `setVaryBarColor(java.lang.Boolean varyBarColor)` Ture to color each bar of a series separately rather than have every bar of a given series the same color.

    - ### Methods inherited from class org.icefaces.ace.model.chart.ChartSeries

      `clear, getColor, getData, getFill, getFillAlpha, getFillToZero, getLabel, getLineCap, getLineJoin, getLineWidth, getSeriesColors, getShadow, getShadowAlpha, getShadowAngle, getShadowDepth, getShadowOffset, getShow, getShowMarker, getType, getUseNegativeColors, getXAxis, getYAxis, setColor, setData, setFill, setFillAlpha, setFillToZero, setInCfgObject, setInCfgObject, setInCfgObject, setInCfgObject, setLabel, setLineCap, setLineJoin, setLineWidth, setSeriesColors, setShadow, setShadowAlpha, setShadowAngle, setShadowDepth, setShadowOffset, setShow, setShowMarker, setType, setUseNegativeColors, setXAxis, setYAxis`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CartesianSeries

          public CartesianSeries()

  - ### Method Detail

    - #### getDefaultType

          public ChartSeries.ChartType getDefaultType()

      Specified by:
        `getDefaultType` in class `ChartSeries`

    - #### add

          public void add(java.lang.Object y)

      Add an point as a y-value with a x-value relative to the position in this series and the value at an accompanying index in a separately determined list of x-axis ticks.
      Parameters:
        `y` - the value of the point

    - #### add

          public void add(java.lang.Object x,
                          java.lang.Object y)

      Add an point as an explicit x and y value pair.
      Parameters:
        `x` - the x coordinate of the point
        `y` - the y coordinate of the point

    - #### getDataJSON

          public JSONBuilder getDataJSON(javax.faces.component.UIComponent component)

      Used by the ChartRenderer to produce a JSON representation of the configuration of this series.
      Overrides:
        `getDataJSON` in class `ChartSeries`
      Returns:
        the serialized JSON object

    - #### encodeRendererOptions

          public void encodeRendererOptions(JSONBuilder cfg)

      must take into account default series which may determine barType
      Specified by:
        `encodeRendererOptions` in class `ChartSeries`
      Parameters:
        `cfg` -

    - #### getConfigJSON

          public JSONBuilder getConfigJSON(javax.faces.component.UIComponent component)

      Used by the ChartRenderer to produce a JSON representation of the data of this series.
      Overrides:
        `getConfigJSON` in class `ChartSeries`
      Parameters:
        `component` -
      Returns:
        the JSON object

    - #### getHorizontalBar

          public java.lang.Boolean getHorizontalBar()

      Determine if this series is bar type, is it horizontal?
      Returns:
        true if horizontal

    - #### setHorizontalBar

          public void setHorizontalBar(java.lang.Boolean horizontalBar)

      Set if this bar series is a horizontal type. horizontal meaning up and down bars (default) vertical meaning up and down bars. equates to barDirection property in
      Parameters:
        `horizontalBar` - bar series horizontal

    - #### isPointLabels

          public java.lang.Boolean isPointLabels()

      Get if this series has labels rendered near each point
      Returns:
        true if labels are rendered

    - #### setPointLabels

          public void setPointLabels(java.lang.Boolean pointLabels)

      Set if this series has labels rendered near each point.
      Parameters:
        `pointLabels` - series point labelling

    - #### getPointLabelTolerance

          public java.lang.Integer getPointLabelTolerance()

      Set the distances that point labels must be from a boundary if they are to be rendered.
      Returns:
        distance in pixels

    - #### setPointLabelTolerance

          public void setPointLabelTolerance(java.lang.Integer pointLabelTolerance)

      Get the distance that point labels must be from a boundary if they are to be rendered,
      Parameters:
        `pointLabelTolerance` - distance in pixels

    - #### getPointLabelStacked

          public java.lang.Boolean getPointLabelStacked()

      Get if the point labels are to be rendered in a stacked plot.
      Returns:
        true if the point labels are intended for a stacked plot.

    - #### setPointLabelStacked

          public void setPointLabelStacked(java.lang.Boolean pointLabelStacked)

      Set if the point labels are to be rendered in a stacked plot.
      Parameters:
        `pointLabelStacked` - if the labels are intended for a stacked plot

    - #### getPointLabelList

          public java.lang.String[] getPointLabelList()

      Get the list of labels for the points of this series.
      Returns:
        list of labels to be applied to points of associated index.

    - #### setPointLabelList

          public void setPointLabelList(java.lang.String[] pointLabelList)

      Set the list of labels for the points of this series.
      Parameters:
        `pointLabelList` - list of labels to be applied to points of associated index

    - #### getDragable

          public java.lang.Boolean getDragable()

      Get if the points of this series are draggable.
      Returns:
        true, if the points of this series are draggable.

    - #### setDragable

          public void setDragable(java.lang.Boolean dragable)

      Enable dragging for the points of this series. Enables dragStart / dragStop client behaviour events as well as raising PointValueChangeEvents on the on the server. Note that enabling this mode causes several restrictions to be checked (and possibly raised as FacesExceptions) due to the requirements of communicating edits to server model. In particular, the data points of this series must have explicit x values, if this series has a category type axis, the axis must define its own ticks rather than deriving them from the data and the data points of must be sorted ascending in the x axis to prevent reindexing during plotting.
      Parameters:
        `dragable` - if the points of this series are dragale.

    - #### getDragConstraintAxis

          public DragConstraintAxis getDragConstraintAxis()

      Get the configured axis that dragging of points is confined to.
      Returns:
        enum representation of the X, Y, or no axis.

    - #### setDragConstraintAxis

          public void setDragConstraintAxis(DragConstraintAxis dragConstraintAxis)

      Set the configured axis that dragging of points is confined to.
      Parameters:
        `dragConstraintAxis` - enum representation of the X, Y, or no axis.

    - #### getLinePattern

          public LinePattern getLinePattern()

      Get the pattern of stroke applied to the lines of this series.
      Returns:
        the LinePattern object representing the stoke type

    - #### setLinePattern

          public void setLinePattern(LinePattern linePattern)

      Set the pattern of stroke applied to the lines of this series.
      Parameters:
        `linePattern` - enum representation of the stroke type

    - #### getSmooth

          public java.lang.Boolean getSmooth()

      Get if the lines of this series have curves rendered between points rather than straight line segments.
      Returns:
        if the lines of this series are smoothed

    - #### setSmooth

          public void setSmooth(java.lang.Boolean smooth)

      Set if the lines of this series have curves rendered between points rather than straight line segments.
      Parameters:
        `smooth` - if the lines of this series are smoothed

    - #### getVaryBarColor

          public java.lang.Boolean getVaryBarColor()

    - #### setVaryBarColor

          public void setVaryBarColor(java.lang.Boolean varyBarColor)

      Ture to color each bar of a series separately rather than have every bar of a given series the same color. If used for non-stacked multiple series bar plots, user should specify a separate 'seriesColors' array for each series. Otherwise, erach series will set tehir bars tot he same color array. This option has no Effect for stacked bar charts and is disabled.
      Parameters:
        `varyBarColor` -

    - #### getBarWidth

          public int getBarWidth()

    - #### setBarWidth

          public void setBarWidth(int barWidth)

      Width of the bar in pixels (auto by default). null = calculated automatically.
      Parameters:
        `barWidth` -

    - #### getHighlightColors

          public java.lang.String[] getHighlightColors()

    - #### setHighlightColors

          public void setHighlightColors(java.lang.String[] highlightColors)

    - #### getBarMargin

          public int getBarMargin()

    - #### setBarMargin

          public void setBarMargin(int barMargin)

      Number of pixels between groups of bars at adjacent axis values
      Parameters:
        `barMargin` -

    - #### getBarPadding

          public int getBarPadding()

    - #### setBarPadding

          public void setBarPadding(int barPadding)

      Number of pixels between adjacent bars at the same axis value
      Parameters:
        `barPadding` -

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.